Redmine - Feature #1006

Display thumbnails of attached images
2008-04-07 00:23 - Andrew Ness

Status: Closed Start date: 2008-04-07
Priority: Low Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Attachments Estimated time: 0.00 hour
Target version: 2.1.0

Resolution: Fixed

Description

It would be nice to display a thumbnail of images that are attached to an issue. If you click the thumbnail you would see the entire
image.

Related issues:

Related to Redmine - Patch #1023: Patch for #1006 Closed 2008-04-08
Related to Redmine - Feature #32249: Show attachment thumbnails by default Closed
Related to Redmine - Patch #33226: Skip thumbnail tests if ImageMagick conver... Closed
Has duplicate Redmine - Feature #3823: show attached screenshots preview on "... Closed 2009-09-04
Has duplicate Redmine - Feature #6205: insert image Closed 2010-08-25
Has duplicate Redmine - Feature #3711: Extending Wiki Inline-images to includ... Closed 2009-08-05

Associated revisions

Revision 9933 - 2012-07-07 15:48 - Jean-Philippe Lang

Displays thumbnails of attached images of the issue view (#1006).

This behaviour can be turned on/off in Settings -> Display (off by default). Thumbnail size can be configured there too.

Revision 9934 - 2012-07-07 15:48 - Jean-Philippe Lang
Fills locales (#1006).

History

#1 - 2008-04-08 23:51 - Rocco Stanzione
Please test my patch from #1023

#2 - 2008-07-03 22:01 - Marcello Henrique

+1

#3 - 2010-01-12 20:31 - Alex Last

is it possible to include this feature into versions 0.9.1 or 1.0?

#4 - 2010-07-22 18:07 - Patrick Dubois

+1. 1 would also find this very useful. People are much more likely to look at the attached image if there's a thumbnail preview.

#5 - 2011-03-24 08:34 - Toshi MARUYAMA

- Category changed from Issues to Attachments

#6 - 2011-10-27 19:20 - Etienne Massip
- Category changed from Attachments to Wiki

There is a lot of ideas in #3510 and #6205.

#7 - 2011-10-27 19:20 - Etienne Massip

- Target version set to Candidate for next major release
#8 - 2011-10-27 19:22 - Andrew Ness

Why did you change the category to Wiki? This issue is about thumbnails of attachments in issues, not on the wiki.

#9 - 2011-10-27 19:27 - Etienne Massip

It's the same thing, same code.

#10 - 2011-12-28 13:09 - Chien Nguyen

- Assignee set to Etienne Massip
| am using Redmine 1.3.0. This feature is not working in this version right? How can we add this to 1.3.0? Please support.

#11 - 2012-01-04 09:25 - Etienne Massip

- Assignee deleted (Etienne Massip)

#12 - 2012-07-07 15:51 - Jean-Philippe Lang

- File thumbnails.png added

- Category changed from Wiki to Attachments

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.1.0

- Resolution set to Fixed

Feature added in r9933. Thumbnails of attached images can be displayed on the issue detail view (see Settings -> Display).

# load-week.png (24 KB) fif Jean-Philippe Lang, 2012-06-27 18:46
# memory-month.png (44.1 KB) fif Jean-Philippe Lang, 2012-06-27 18:46
# [redmine] mite screenshot-3.png (60.2 KB) i J=an-Philippe Lang, 2012-06-27 19:18
#13 - 2012-07-07 20:19 - rm user

- Status changed from Closed to Reopened

Hi! Thanks for this, but it's really not convinient this way.

Any chance of making clickable thumbs? (see redmine_lightbox plugin here - http:/www.redmine.org/plugins/redmine_lightbox)

Thanks for your effort.
EDIT: or they are clickable ? is there an example of issue?

Thanks.

#14 - 2012-07-07 20:41 - Jean-Philippe Lang

- Status changed from Reopened to Closed

They are clickable. It's just a screenshot above...

#15 - 2012-07-07 20:44 - rm user

Jean-Philippe Lang wrote:

They are clickable. It's just a screenshot above...

did you use lightbox? or if i click on image it'd be just a link to full-image ?
any example here? what about 1.4 version - will it be included there as well?

thanks

#16 - 2012-07-07 20:56 - Jean-Philippe Lang

rm user wrote:

did you use lightbox? or if i click on image it'd be just a link to full-image ?

No lightbox, just a link to the full image. You can have a look at r9933 for more details.

any example here? what about 1.4 version - will it be included there as well?

No example here, feature was committed today in trunk. I'm afraid it won't be merged into 1.4-stable.

#17 - 2012-07-07 20:58 - rm user
Jean-Philippe Lang wrote:

rm user wrote:

did you use lightbox? or if i click on image it'd be just a link to full-image ?

No lightbox, just a link to the full image. You can have a look at r9933 for more details.

any example here? what about 1.4 version - will it be included there as well?

No example here, feature was committed today in trunk. I'm afraid it won't be merged into 1.4-stable.

OK, thanks, I will use lightbox plugin for now :) It works perfect and handy.

What about large images pasted into comments / issue descriptions / wiki ? (it'd be good to automatically resize them and display full-sized on click).

#18 - 2012-07-09 09:13 - Etienne Massip

rm user wrote:

What about large images pasted into comments / issue descriptions / wiki ? (it'd be good to automatically resize them and display full-sized on
click).

This is discussed in another request but it is already possible to set specific sizes using textile css syntax {width: 50px}my_picture.png!.

#19 - 2012-07-19 07:52 - Vitaly Klimov

I would like to propose to keep generated thumbnails in attachments folder instead of a temp one, because thumbnails are not really temp files - they
should present as long as image itself exists and valid.

#20 - 2012-07-25 08:28 - Jean-Philippe Lang

Personally, i wouldn't like them to be mixed with the files that i have to backup. Thumbnails can be generated from real data files, they are temporary
files for me.

#21 - 2012-07-25 10:07 - yac yac

I think it would be nice to reach a common ground on the files fs location. | agree they aren't temporary, se we shouldn't lose them eg. in reboot. But
they are derived. I'd like to have the option to simply backup just the base files without derived ones. And if | do want to, adding backup of the derived
files is as simple as adding an item to a list.

#22 - 2012-09-28 15:37 - Luis Serrano Aranda

It is possible add the thumbnail and / or inside the history when redmine write attached the file ...
So no need to go to the top of the issue to see the image

Thanks in advance

#23 - 2019-10-14 08:54 - Go MAEDA
- Related to Feature #32249: Show attachment thumbnails by default added
#24 - 2019-10-31 14:16 - Go MAEDA

Luis Serrano Aranda wrote:

It is possible add the thumbnail and / or inside the history when redmine write attached the file ...

Implemented in Redmine 3.2.0 (#13429).

#25 - 2020-04-01 02:42 - Go MAEDA
- Related to Patch #33226: Skip thumbnail tests if InageMagick convert command is not available added

Files

thumbnails.png 12.9 KB 2012-07-07 Jean-Philippe Lang
